Boost.Sort

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Macros | Functions
parallelint.cpp File Reference
`#include <boost/sort/spreadsort/spreadsort.hpp>`
`#include <boost/thread.hpp>`
`#include <time.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <algorithm>`
`#include <vector>`
`#include <string>`
`#include <fstream>`
`#include <sstream>`
`#include <iostream>`

## Macros
#define | DATA_TYPE int

## Functions
bool | is_sorted (const std::vector< DATA_TYPE > &array)
void | sort_loop (const std::vector< DATA_TYPE > &base_array, bool stdSort, unsigned loopCount)
int | main (int argc, const char **argv)

## Macro Definition Documentation

#define DATA_TYPE int

## Function Documentation

bool is_sorted | ( | const std::vector< DATA_TYPE > & | array | ) |

int main | ( | int | argc,
|  | const char ** | argv
| ) |  |

void sort_loop | ( | const std::vector< DATA_TYPE > & | base_array,
|  | bool | stdSort,
|  | unsigned | loopCount
| ) |  |